import { Store } from './index';
export declare class RootStore<T extends object> extends Store<T> {
    private batchCount;
    constructor(state: T);
    set(value: T): void;
    delete(): void;
    state(): T;
    refersToSameStateAs(other: Store<T>): boolean;
    protected maybeEmit(): void;
    protected maybeActivate(): void;
    protected maybeDeactivate(): void;
}
